import React from 'react';
import style from './style.scss';
import CSSModules from 'react-css-modules';

import {
  Header,
  Layout,
  Drawer,
  Content,
  Navigation,
  Footer,
  FooterSection,
  FooterLinkList,
  Button
} from 'react-mdl'

class AppLayout extends React.Component {

  constructor(props) {
    super(props)
  }

  get actionMenu () {
    return this.props.carmel.menu.map(menuItem => {
        if (!menuItem.action) {
          return
        }

        return (<Button href={menuItem.link} key={menuItem.id} raised ripple accent style={{marginLeft: "1rem"}}>
          { menuItem.title }
        </Button>)
      })
  }

  get menu () {
    return this.props.carmel.menu.map(menuItem => {
      if (menuItem.action) {
        return
      }

      return (<a key={menuItem.id} href={menuItem.link}> { menuItem.title } </a>)
    })
  }

  render () {
    return (
        <Layout fixedHeader>
            <Header title={this.props.carmel.info.title} style={{color: 'white'}}>
              <Navigation styleName="menu">
                { this.menu }
              </Navigation>
              { this.actionMenu}
            </Header>
            <Drawer title={this.props.carmel.info.title}>
              <Navigation>
                { this.menu }
              </Navigation>
            </Drawer>
            <Content>
              <div styleName="container">
                { this.props.children}
              </div>
            </Content>
      </Layout>)
  }
}

export default CSSModules(AppLayout, style);
